<!--

function Delegate(){}
Delegate.create=function(o,f){
var IfjTi=new Array();
var iukFH=arguments.length;
for(var i=2;i<iukFH;i++) IfjTi[i-2]=arguments[i];
return function(){
var DoCtl=[].concat(arguments,IfjTi);
f.apply(o,DoCtl);
}
}
Tween=function(obj,prop,func,begin,finish,duration,suffixe){
this.init(obj,prop,func,begin,finish,duration,suffixe)
}
var t=Tween.prototype;
t.obj=new Object();
t.prop='';
t.func=function(t,b,c,d){return c*t/d+b;};
t.begin=0;
t.change=0;
t.prevTime=0;
t.prevPos=0;
t.looping=false;
t.CfoXo=0;
t.MWeed=0;
t.KQhDc=0;
t.HrTAF=0;
t.UqKMB=0;
t.cTpIO=0;
t.kTias=false;
t.name='';
t.suffixe='';
t.NwOlh=new Array();
t.setTime=function(t){
this.prevTime=this.MWeed;
if(t>this.getDuration()){
if(this.looping){
this.rewind(t-this.CfoXo);
this.update();
this.fvHud('onMotionLooped',{target:this,type:'onMotionLooped'});
}else{
this.MWeed=this.CfoXo;
this.update();
this.stop();
this.fvHud('onMotionFinished',{target:this,type:'onMotionFinished'});
}
}else if(t<0){
this.rewind();
this.update();
}else{
this.MWeed=t;
this.update();
}
}
t.isRunning=function(){
return this.kTias;
}
t.getTime=function(){
return this.MWeed;
}
t.setDuration=function(d){
this.CfoXo=(d==null||d<=0)?100000:d;
}
t.getDuration=function(){
return this.CfoXo;
}
t.setPosition=function(p){
this.prevPos=this.KQhDc;
var a=this.suffixe!=''?this.suffixe:'';
this.obj[this.prop]=Math.round(p)+a;
this.KQhDc=p;
this.fvHud('onMotionChanged',{target:this,type:'onMotionChanged'});
}
t.getPosition=function(t){
if(t==undefined) t=this.MWeed;
return this.func(t,this.begin,this.change,this.CfoXo);
};
t.setFinish=function(f){
this.change=f-this.begin;
};
t.geFinish=function(){
return this.begin+this.change;
};
t.init=function(obj,prop,func,begin,finish,duration,suffixe){
if(!arguments.length) return;
this.NwOlh=new Array();
this.addListener(this);
if(suffixe) this.suffixe=suffixe;
this.obj=obj;
this.prop=prop;
this.begin=begin;
this.KQhDc=begin;
this.setDuration(duration);
if(func!=null&&func!=''){
this.func=func;
}
this.setFinish(finish);
}
t.start=function(){
this.rewind();
this.startEnterFrame();
this.fvHud('onMotionStarted',{target:this,type:'onMotionStarted'});
}
t.rewind=function(t){
this.stop();
this.MWeed=(t==undefined)?0:t;
this.fixTime();
this.update();
}
t.fforward=function(){
this.MWeed=this.CfoXo;
this.fixTime();
this.update();
}
t.update=function(){
this.setPosition(this.getPosition(this.MWeed));
}
t.startEnterFrame=function(){
this.stopEnterFrame();
this.kTias=true;
this.onEnterFrame();
}
t.onEnterFrame=function(){
if(this.kTias){
this.nextFrame();
wa_timeout(Delegate.create(this,this.onEnterFrame),0);
}
}
t.nextFrame=function(){
this.setTime((this.getTimer()-this.UqKMB)/1000);
}
t.stop=function(){
this.stopEnterFrame();
this.fvHud('onMotionStopped',{target:this,type:'onMotionStopped'});
}
t.stopEnterFrame=function(){
this.kTias=false;
}
t.continueTo=function(finish,duration){
this.begin=this.KQhDc;
this.setFinish(finish);
if(this.CfoXo!=undefined)
this.setDuration(duration);
this.start();
}
t.resume=function(){
this.fixTime();
this.startEnterFrame();
this.fvHud('onMotionResumed',{target:this,type:'onMotionResumed'});
}
t.yoyo=function(){
this.continueTo(this.begin,this.MWeed);
}
t.addListener=function(o){
this.removeListener(o);
return this.NwOlh.push(o);
}
t.removeListener=function(o){
var a=this.NwOlh;
var i=a.length;
while(i--){
if(a[i]==o){
a.splice(i,1);
return true;
}
}
return false;
}
t.fvHud=function(){
var arr=new Array();
for(var i=0;i<arguments.length;i++){
arr.push(arguments[i])
}
var e=arr.shift();
var a=this.NwOlh;
var l=a.length;
for(var i=0;i<l;i++){
if(a[i][e])
a[i][e].apply(a[i],arr);
}
}
t.fixTime=function(){
this.UqKMB=this.getTimer()-this.MWeed*1000;
}
t.getTimer=function(){
return new Date().getTime()-this.MWeed;
}
Tween.backEaseIn=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*(t/=d)*t*((s+1)*t-s)+b;
}
Tween.backEaseOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
return c*((t=t/d-1)*t*((s+1)*t+s)+1)+b;
}
Tween.backEaseInOut=function(t,b,c,d,a,p){
if(s==undefined) var s=1.70158;
if((t/=d/2)<1) return c/2*(t*t*(((s*=(1.525))+1)*t-s))+b;
return c/2*((t-=2)*t*(((s*=(1.525))+1)*t+s)+2)+b;
}
Tween.elasticEaseIn=function(t,b,c,d,a,p){
if(t==0) return b;
if((t/=d)==1) return b+c;
if(!p) p=d*.3;
if(!a||a<Math.abs(c)){
a=c;var s=p/4;
}
else
var s=p/(2*Math.PI)*Math.asin(c/a);
return-(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
}
Tween.elasticEaseOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d)==1) return b+c;if(!p) p=d*.3;
if(!a||a<Math.abs(c)){a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
return(a*Math.pow(2,-10*t)*Math.sin((t*d-s)*(2*Math.PI)/p)+c+b);
}
Tween.elasticEaseInOut=function(t,b,c,d,a,p){
if(t==0) return b;if((t/=d/2)==2) return b+c;if(!p) var p=d*(.3*1.5);
if(!a||a<Math.abs(c)){var a=c;var s=p/4;}
else var s=p/(2*Math.PI)*Math.asin(c/a);
if(t<1) return-.5*(a*Math.pow(2,10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p))+b;
return a*Math.pow(2,-10*(t-=1))*Math.sin((t*d-s)*(2*Math.PI)/p)*.5+c+b;
}
Tween.bounceEaseOut=function(t,b,c,d){
if((t/=d)<(1/2.75)){
return c*(7.5625*t*t)+b;
}else if(t<(2/2.75)){
return c*(7.5625*(t-=(1.5/2.75))*t+.75)+b;
}else if(t<(2.5/2.75)){
return c*(7.5625*(t-=(2.25/2.75))*t+.9375)+b;
}else{
return c*(7.5625*(t-=(2.625/2.75))*t+.984375)+b;
}
}
Tween.bounceEaseIn=function(t,b,c,d){
return c-Tween.bounceEaseOut(d-t,0,c,d)+b;
}
Tween.bounceEaseInOut=function(t,b,c,d){
if(t<d/2) return Tween.bounceEaseIn(t*2,0,c,d)*.5+b;
else return Tween.bounceEaseOut(t*2-d,0,c,d)*.5+c*.5+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.regularEaseIn=function(t,b,c,d){
return c*(t/=d)*t+b;
}
Tween.regularEaseOut=function(t,b,c,d){
return-c*(t/=d)*(t-2)+b;
}
Tween.regularEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t+b;
return-c/2*((--t)*(t-2)-1)+b;
}
Tween.strongEaseIn=function(t,b,c,d){
return c*(t/=d)*t*t*t*t+b;
}
Tween.strongEaseOut=function(t,b,c,d){
return c*((t=t/d-1)*t*t*t*t+1)+b;
}
Tween.strongEaseInOut=function(t,b,c,d){
if((t/=d/2)<1) return c/2*t*t*t*t*t+b;
return c/2*((t-=2)*t*t*t*t+2)+b;
}
OpacityTween.prototype=new Tween();
OpacityTween.prototype.constructor=Tween;
OpacityTween.superclass=Tween.prototype;
function OpacityTween(obj,func,SZDgL,FvkvF,CfoXo){
this.targetObject=obj;
this.init(new Object(),'a',func,SZDgL,FvkvF,CfoXo);
this.onMotionChanged=function(evt){
var v=evt.target.KQhDc;
var t=this.targetObject;
v=Math.round(v*100)/100
t.style['opacity']=v/100;
t.style['-moz-opacity']=v/100;
html_SetOpacity(t,v/100);
}
}
function html_canvas(FZEHr,EOOVv,mEAgd)
{
return "<canvas id='"+FZEHr+"' width='"+EOOVv+"' height='"+mEAgd+"'></canvas>"
}
function WA_canvas(FZEHr,EOOVv,mEAgd)
{
document.write(html_canvas(FZEHr,EOOVv,mEAgd))
}
function WWjax(IZaCQ,x0,y0,lx0,ly0)
{
var x=x0+lx0/2;var y=y0+ly0/2;var lx=lx0/2;var ly=ly0/2;var radius=lx0/2;var yRadius=ly0/2;
IZaCQ.beginPath();
var theta,xrCtrl,yrCtrl,angleMid,px,py,cx,cy;
theta=Math.PI/4;xrCtrl=radius/Math.cos(theta/2);yrCtrl=yRadius/Math.cos(theta/2);var angle=0;
IZaCQ.moveTo(x+radius,y);
for(var i=0;i<8;i++){
angle+=theta;angleMid=angle-(theta/2);cx=x+Math.cos(angleMid)*xrCtrl;cy=y+Math.sin(angleMid)*yrCtrl;px=x+Math.cos(angle)*radius;py=y+Math.sin(angle)*yRadius;
IZaCQ.quadraticCurveTo(cx,cy,px,py);
}
}
function CnfSW(c,x,y,lx,ly,arc,clowckwise)
{
c.beginPath()
BEUnw(c,x,y,lx,ly,arc,clowckwise)
}
function BEUnw(c,x,y,lx,ly,arc,clowckwise)
{
if(clowckwise)
{
c.moveTo(x+arc,y);c.lineTo(x+lx-arc,y);c.quadraticCurveTo(x+lx,y,x+lx,y+arc);c.lineTo(x+lx,y+ly-arc);c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);c.lineTo(x+arc,y+ly);c.quadraticCurveTo(x,y+ly,x,y+ly-arc);c.lineTo(x,y+arc);c.quadraticCurveTo(x,y,x+arc,y);
return;
}
c.moveTo(x,y+arc);c.lineTo(x,y+ly-arc);c.quadraticCurveTo(x,y+ly,x+arc,y+ly);c.lineTo(x+lx-arc,y+ly);c.quadraticCurveTo(x+lx,y+ly,x+lx,y+ly-arc);c.lineTo(x+lx,y+arc);c.quadraticCurveTo(x+lx,y,x+lx-arc,y);c.lineTo(x+arc,y);c.quadraticCurveTo(x,y,x,y+arc);
}
function isWebKit()
{
if(navigator.userAgent.match(/webkit/i)) return true;
return false;
}
function isMSIE()
{
return BrowserDetect.browser=="Explorer" 
}
function isMSIE8()
{
if((BrowserDetect.browser=="Explorer")&&(BrowserDetect.version==8))
{
return true;
}
return false;
}
function BitIH()
{
return isWebKit();
}
function isMobileWithoutFlash()
{
return isIPhone();
}
function isMobileBrowser()
{
return isIPhone();
}
function isIPhone()
{
if(navigator.userAgent.match(/iPhone/i)||navigator.userAgent.match(/iPod/i))
return true;
return false;
}
function kamDK(lx,ly,parent,id_suffixe)
{
var sMmgc=document.createElement('canvas');sMmgc.width=lx;sMmgc.height=ly;
return sMmgc;
}
function uewjb(c,srKdb)
{
c.shadowOffsetX=2;c.shadowOffsetY=2;c.shadowBlur=4;
}
function WA_over_img_html(xaXLd,rfrPJ,ILOji)
{
if(!xaXLd.src)
{
var BgMXa=xaXLd.getElementsByTagName("IMG")
if(BgMXa.length==1)xaXLd=BgMXa[0]
}
if(xaXLd.src1==undefined)
{
xaXLd.src1=xaXLd.src;
xaXLd.src2=rfrPJ;
}
if(ILOji)
{
xaXLd.src=xaXLd.src2;
}
else
{
xaXLd.src=xaXLd.src1;
}
}
function WA_over_img(id,ILOji)
{

var el=document.getElementById(id) 

var xaXLd=(ILOji)?el.wa_s_img[1]:el.wa_s_img[0]
WA_img(id,el.wa_lx,el.wa_ly,el.wa_arc,el.wa_bord_siz,el.wa_bord_col,[xaXLd,xaXLd],el.wa_shadow,el.wa_rot)
}
function WA_img(id,lx,ly,arc,iWruI,bord_col,s_img,shadow,rot)
{
var el=document.getElementById(id)
var c=el.getContext('2d');
var nGdXh=(el.width-lx)/2;
if(el.wa_lx==undefined)
{
el.wa_lx=lx
el.wa_ly=ly
el.wa_arc=arc
el.wa_bord_siz=iWruI
el.wa_bord_col=bord_col
el.wa_s_img=s_img
el.wa_shadow=shadow
el.wa_rot=rot
c.translate(nGdXh,nGdXh)
}
var hEUcq=document.getElementById(id+"-cache")
hEUcq.onload=function()
{
c.clearRect(0,0,lx+2*nGdXh,ly+2*nGdXh)
var arc2=arc-iWruI;
if(arc2<0)arc2=0;
if(BitIH()==false)
{
if(shadow) xklKI(c,0,0,lx,ly,arc,false,rot) 
this.width=lx-2*iWruI
this.height=ly-2*iWruI 

var ptrn=c.createPattern(this,'no-repeat');
c.fillStyle=ptrn;
c.beginPath() 
CnfSW(c,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2)
c.translate(iWruI,iWruI)
c.fill()
c.translate(-iWruI,-iWruI)
if(iWruI>0)
{
c.fillStyle=bord_col;
CnfSW(c,0,0,lx,ly,arc)
BEUnw(c,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2,true)
c.fill()
}
}
else
{
var canv2=kamDK(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
if(iWruI>0)
{
c2.fillStyle=bord_col;
CnfSW(c2,0,0,lx,ly,arc)
BEUnw(c2,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2,true)
c2.fill()
}
CnfSW(c2,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2)
c2.clip()
c2.drawImage(this,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI);
if(shadow) uewjb(c,rot)
c.drawImage(canv2,0,0);
}
}
hEUcq.src=s_img[0];
}
function nFbVF(c,type,lx,ly,corner)
{
if(type==1)
WWjax(c,0,0,lx,ly)
else
CnfSW(c,0,0,lx,ly,corner)
}
function hFeJH(el,c,type,lx,ly,corner,bg,aIDCT,rot)
{
if(BitIH()==false)
{
c.fillStyle=bg;
nFbVF(c,type,lx,ly,corner)
c.fill()
}
else
{
var canv2=kamDK(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.fillStyle=bg;
nFbVF(c2,type,lx,ly,corner)
c2.fill()
if(aIDCT) uewjb(c,rot)
c.drawImage(canv2,0,0);
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
}
}
function rmqtI(c,type,lx,ly,GCZhE,bg,olLIQ,ElVgm_glow)
{
if(olLIQ)
{
var x1=olLIQ[0];var y1=olLIQ[1];var lx1=olLIQ[2];var ly1=olLIQ[3];var dfMLB=olLIQ[4];
var jMmqK=c.createLinearGradient(x1,y1,x1,y1+ly1);
jMmqK.addColorStop(0,"rgba(255,255,255,0.7)");jMmqK.addColorStop(1,"rgba(255,255,255,0.1)");
c.fillStyle=jMmqK;
if(type==1) WWjax(c,x1,y1,lx1,ly1)
else
CnfSW(c,x1,y1,lx1,ly1,dfMLB)
c.fill()
}
if(ElVgm_glow)
{
var x2=ElVgm_glow[0];var y2=ElVgm_glow[1];var lx2=ElVgm_glow[2];var ly2=ElVgm_glow[3];
var tivbv=ElVgm_glow[4];
var rNATP_glow=new RGBColor(ElVgm_glow[5]);
rNATP_glow.a=0;
var col1=ElVgm_glow[5];
var col2=rNATP_glow.toRGB();
var wvCBb=c.createLinearGradient(x2,y2,x2,y2+ly2);
wvCBb.addColorStop(0,col2);
wvCBb.addColorStop(0.2,col2);
wvCBb.addColorStop(1,col1);
c.fillStyle=wvCBb;
if(type==1) WWjax(c,x2,y2,lx2,ly2)
else
CnfSW(c,x2,y2,lx2,ly2,tivbv)
c.fill()
}
}
function lVGkJ(rbAOb,FZEHr,hnqjF,EOOVv,mEAgd,GCZhE,HLOUU,olLIQ,ElVgm_glow,aIDCT,srKdb)
{
rbAOb.FZEHr=FZEHr;rbAOb.hnqjF=hnqjF;
rbAOb.EOOVv=EOOVv;rbAOb.mEAgd=mEAgd;
rbAOb.GCZhE=GCZhE;rbAOb.HLOUU=HLOUU,rbAOb.olLIQ=olLIQ;
rbAOb.ElVgm_glow=ElVgm_glow;rbAOb.aIDCT=aIDCT;rbAOb.srKdb=srKdb;
}
function WA_but_over(FZEHr,HLOUU_over,rNATP_glow)
{
var cbhYv=document.getElementById(FZEHr) 
if(cbhYv&&cbhYv.tqSEh)
with(cbhYv.tqSEh)
{
var ElVgm_glow_over;
if(ElVgm_glow&&rNATP_glow)
{
ElVgm_glow_over=new Array();
for(var RdcpZ=0;RdcpZ<ElVgm_glow.length;RdcpZ++)ElVgm_glow_over[RdcpZ]=ElVgm_glow[RdcpZ];
ElVgm_glow_over[5]=rNATP_glow;
}
WA_but(FZEHr,hnqjF,EOOVv,mEAgd,GCZhE,HLOUU_over,olLIQ,ElVgm_glow_over,aIDCT,srKdb);
}
var omcDd_over0=document.getElementById(FZEHr+"-div0")
if(omcDd_over0)html_SetVisibility(omcDd_over0,false);
var TrNMV=document.getElementById(FZEHr+"-div1")
if(TrNMV)html_SetVisibility(TrNMV,true);
}
function WA_but_out(FZEHr)
{
var cbhYv=document.getElementById(FZEHr)
with(cbhYv.tqSEh)
{
WA_but(FZEHr,hnqjF,EOOVv,mEAgd,GCZhE,HLOUU,olLIQ,ElVgm_glow,aIDCT,srKdb);
}
var omcDd_over0=document.getElementById(FZEHr+"-div0")
if(omcDd_over0)html_SetVisibility(omcDd_over0,true);
var TrNMV=document.getElementById(FZEHr+"-div1")
if(TrNMV)html_SetVisibility(TrNMV,false);
}
function WA_but(id,type,lx,ly,corner,bg,top_light,s_glow,aIDCT,rot)
{
var el=document.getElementById(id)
if(el.tqSEh==undefined)
{
el.tqSEh=new Array();
lVGkJ(el.tqSEh,id,type,lx,ly,corner,bg,top_light,s_glow,aIDCT,rot);
}
var c=el.getContext('2d');
var nGdXh=0;
if(aIDCT)nGdXh=6 
c.fillStyle="#000000";
c.fillRect(0,0,lx+2*nGdXh,ly+2*nGdXh) 
c.clearRect(0,0,lx+2*nGdXh,ly+2*nGdXh) 
var bg2=bg
if(bg2.substring(0,1)=="(")
{
bg2=bg2.substring(1)
bg2=bg2.substring(0,bg2.length-1)
var img=new Image();
img.onload=function()
{
if(BitIH()==false)
{
c.translate(nGdXh,nGdXh)
img.width=lx
img.height=ly 
if(aIDCT)
xklKI(c,0,0,lx,ly,corner,(type==1),rot)
if(navigator.userAgent.match(/Firefox/i))
{
c.beginPath()
nFbVF(c,type,lx,ly,corner)
c.clip()
c.drawImage(img,0,0,lx,ly);
}
else
{
var ptrn=c.createPattern(img,'no-repeat');
c.fillStyle=ptrn;
c.beginPath()
nFbVF(c,type,lx,ly,corner)
c.fill()
}
rmqtI(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-nGdXh,-nGdXh)
}
else
{
var canv2=kamDK(lx,ly,el,"bis");
var c2=canv2.getContext('2d');
c2.beginPath()
nFbVF(c2,type,lx,ly,corner)
c2.clip()
c2.drawImage(img,0,0,lx,ly);
rmqtI(c2,type,lx,ly,corner,bg,top_light,s_glow)
if(aIDCT) uewjb(c,rot) 
c.drawImage(canv2,nGdXh,nGdXh);
}
}
img.src=bg2;
return;
}
c.translate(nGdXh,nGdXh) 
if(aIDCT&&(BitIH()==false))
{
var pZnDu=new RGBColor(bg);
if(pZnDu.a>0)
{
xklKI(c,0,0,lx,ly,corner,(type==1),rot)
}
}
hFeJH(el,c,type,lx,ly,corner,bg2,aIDCT,rot)
rmqtI(c,type,lx,ly,corner,bg,top_light,s_glow)
c.translate(-nGdXh,-nGdXh)
}
function xklKI(c,x0,y0,lx0,ly0,corner,is_circle,rot)
{
var decShadow=2;
c.translate(decShadow,decShadow)
var dec_init=2;
var x=x0-dec_init;var y=y0-dec_init;var lx=lx0+2*dec_init;var ly=ly0+2*dec_init;var opacity=0.1;
for(var n=0;n<4;n++)
{
c.beginPath()
if(is_circle) WWjax(c,x,y,lx,ly);else CnfSW(c,x,y,lx,ly,corner);
c.fillStyle="rgba(0,0,0, "+opacity+")"
c.fill()
x+=1;y+=1;lx-=2;ly-=2;opacity+=0.04
}
c.translate(-decShadow,-decShadow)
}
function uhAfc(id,x,y,lx,ly,arc,iWruI,bord_col,bg,shadow,rot,YOcWX,lUVlr)
{
if(lUVlr==undefined)lUVlr=true;
var el=document.getElementById(id)
var c=el.getContext('2d');
if(YOcWX==undefined)YOcWX=1.0;
var nGdXh=0;
c.shadowOffsetX=0;
c.shadowOffsetY=0;
c.shadowBlur=0;
if(shadow)
{
nGdXh=6;
}
if(lUVlr) c.clearRect(0,0,el.width,el.height)
c.globalAlpha=YOcWX 
var x_rect0=0;
var y_rect0=0;
var bg1=bg[0]
var fill_obj=false;
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var XbWlv=bg1.split(";");
var x1=parseFloat(XbWlv[0]);
var y1=parseFloat(XbWlv[1]);
var x2=parseFloat(XbWlv[2]);
var y2=parseFloat(XbWlv[3]);
var col1=XbWlv[4];
var col2=XbWlv[5];
var grad=c.createLinearGradient(x1,y1,x2,y2);
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
fill_obj=grad
}
else
{
if(bg1.length==0)bg1='rgba(0,0,0,0)'
fill_obj=bg1;
}
var arc2=arc-iWruI;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
{
if(shadow) xklKI(c,nGdXh,nGdXh,lx,ly,arc,false,rot)
}
if(iWruI>0)
{
c2.fillStyle=bord_col;
CnfSW(c2,x,y,lx,ly,arc)
BEUnw(c2,x+iWruI,y+iWruI,lx-2*iWruI,ly-2*iWruI,arc2,true)
c2.fill()
}


c2.fillStyle=fill_obj 
CnfSW(c2,x+iWruI,y+iWruI,lx-2*iWruI,ly-2*iWruI,arc2)
c2.fill();
}
function bnjjX(OsUKe,TVBSQ,DPDqW)
{
return new Point(Math.round(OsUKe*Math.cos(DPDqW)-TVBSQ*Math.sin(DPDqW)),Math.round(OsUKe*Math.sin(DPDqW)+TVBSQ*Math.cos(DPDqW)))
}
function SmiCr(c,x,y,lx,ly,arc,clowckwise,srKdb)
{
c.beginPath()
nSVhn(c,x,y,lx,ly,arc,clowckwise,srKdb)
}
function nSVhn(c,x,y,lx,ly,arc,clowckwise,srKdb)
{
if(clowckwise)
{
c.moveTo(x+arc,y);
c.lineTo(x+lx-arc,y);
c.quadraticCurveTo(x+lx,y,x+lx,y+arc);
c.lineTo(x+lx,y+ly-arc);
c.quadraticCurveTo(x+lx,y+ly,x+lx-arc,y+ly);
c.lineTo(x+arc,y+ly);
c.quadraticCurveTo(x,y+ly,x,y+ly-arc);
c.lineTo(x,y+arc);
c.quadraticCurveTo(x,y,x+arc,y);
return;
}
var AALFa=[[x,y+arc],[x,y+ly-arc],[x,y+ly],[x+arc,y+ly],[x+lx-arc,y+ly],[x+lx,y+ly],[x+lx,y+ly-arc],[x+lx,y+arc],[x+lx,y],[x+lx-arc,y],[x+arc,y],[x,y],[x,y+arc]];
var theta=srKdb*2*Math.PI/360
for(var n=0;n<AALFa.length;n++)
{
var HYcoP=AALFa[n][0]
var vtThC=AALFa[n][1]
AALFa[n][0]=HYcoP*Math.cos(theta)-vtThC*Math.sin(theta);
AALFa[n][1]=HYcoP*Math.sin(theta)+vtThC*Math.cos(theta);
}
var n=0;
c.moveTo(AALFa[n][0],AALFa[n++][1]);
c.lineTo(AALFa[n][0],AALFa[n++][1]);
c.quadraticCurveTo(AALFa[n][0],AALFa[n++][1],AALFa[n][0],AALFa[n++][1]);
c.lineTo(AALFa[n][0],AALFa[n++][1]);
c.quadraticCurveTo(AALFa[n][0],AALFa[n++][1],AALFa[n][0],AALFa[n++][1]);
c.lineTo(AALFa[n][0],AALFa[n++][1]);
c.quadraticCurveTo(AALFa[n][0],AALFa[n++][1],AALFa[n][0],AALFa[n++][1]);
c.lineTo(AALFa[n][0],AALFa[n++][1]);
c.quadraticCurveTo(AALFa[n][0],AALFa[n++][1],AALFa[n][0],AALFa[n++][1]);
}
function opduO(a,b,x,y)
{
return(a*x-y+b)/(Math.sqrt(1+a*a))
}
function dflUh(new_a1,new_b1,iwODF,multi)
{
var d=0;
for(var i=0;i<iwODF.length;i++)
{
var HBaas=iwODF[i]
var d1=opduO(new_a1,new_b1,HBaas.x,HBaas.y)
if(multi<0)
{
if(d1<0) d=Math.max(d,-d1);
}
else
{
if(d1>0) d=Math.max(d,d1);
}
}
return d;
}
function mEUaK(o1,o2)
{
if(o1<o2) return-1
if(o1>o2) return 1
return 0
}
function tRMJg(c,lx,ly,bg1)
{
var fill_obj=false;
var nafMZ=false;
var EXWLa=false;
var iwODF=false
if(bg1.substring(0,1)=="(")
{
bg1=bg1.substring(1);
bg1=bg1.substring(0,bg1.length-1)
var XbWlv=bg1.split(";");
var GDtxr=new Point(parseFloat(XbWlv[0]),parseFloat(XbWlv[1]));
var kFUVd=new Point(parseFloat(XbWlv[2]),parseFloat(XbWlv[3]));
nafMZ=GDtxr.clone()
EXWLa=kFUVd.clone()
var col1=XbWlv[4];
var col2=XbWlv[5];
var grad=c.createLinearGradient(nafMZ.x,nafMZ.y,EXWLa.x,EXWLa.y);
if(isMSIE())
{
nafMZ=GDtxr.clone()
EXWLa=kFUVd.clone() 
var jMmqK=0;
var wvCBb=1;
{
iwODF=[{x:0,y:0},{x:lx,y:0},{x:lx,y:ly},{x:0,y:ly}]
var d1=0;
var d2=0;
var a=(EXWLa.y-nafMZ.y)/(EXWLa.x-nafMZ.x);
var b=nafMZ.y-a*nafMZ.x;
var diff=1;
if(a==Infinity)
{
d1=(nafMZ.y)
d2=(ly-EXWLa.y)
}
else
if(a==0)
{
d1=(nafMZ.x)
d2=(lx-EXWLa.x)
}
else
{
var new_a1=-1/a;
var new_b1=nafMZ.y-new_a1*nafMZ.x;
d1=dflUh(new_a1,new_b1,iwODF,-1)
var new_b2=EXWLa.y-new_a1*EXWLa.x;
d2=dflUh(new_a1,new_b2,iwODF,1)
if(new_a1<0)diff=-1;
}
var d=Math.sqrt(Math.pow(EXWLa.x-nafMZ.x,2)+Math.pow(EXWLa.y-nafMZ.y,2))
var total=(d1+d+d2)
jMmqK=d1/total;
wvCBb=(d1+d)/total;
var pt_prod0=new Point(EXWLa.x-nafMZ.x,EXWLa.y-nafMZ.y)
var pt_prod1=new Point(0,100)
var prod=(pt_prod0.x*pt_prod1.y-pt_prod1.x*pt_prod0.y);
if(prod*diff<0)
{
jMmqK=d2/total;
wvCBb=(d2+d)/total;
}
}
grad.addColorStop(jMmqK,col1);
grad.addColorStop(wvCBb,col2);

}
else
{
grad.addColorStop(0,col1);
grad.addColorStop(1,col2);
}
fill_obj=grad
}
else
{
fill_obj=bg1;
}
return fill_obj;
}
function WA_bg3(id,lx,ly,arc,iWruI,bord_col,bg,shadow,rot,jhPrW,WOdMW,YOcWX,lUVlr)
{


var theta=rot*2*Math.PI/360 
if(lUVlr==undefined)lUVlr=true;
if(YOcWX==undefined)YOcWX=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var nGdXh=(el.width-lx)/2;
if(lUVlr) c.clearRect(0,0,el.width,el.height)
var x_rect0=nGdXh;
var y_rect0=nGdXh;
var bg1=bg[0]
var fill_obj=false;
var nafMZ=false;
var EXWLa=false;
var iwODF=false
fill_obj=tRMJg(c,lx,ly,bg1) 
if(YOcWX==undefined)YOcWX=1.0;
var arc2=arc-iWruI;
if(arc2<0)arc2=0
var canv2=false;
var c2=c;
if(shadow)
{
c2.translate(jhPrW+6,WOdMW+6)
}
else
{
c2.translate(jhPrW,WOdMW)
}
c2.fillStyle=fill_obj;
SmiCr(c2,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2,false,rot)
c2.fill();
}
function WA_bg(id,lx,ly,arc,iWruI,bord_col,bg,shadow,rot,YOcWX,lUVlr)
{

if(lUVlr==undefined)lUVlr=true;
if(YOcWX==undefined)YOcWX=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
var nGdXh=(el.width-lx)/2;
if(lUVlr) c.clearRect(0,0,el.width,el.height) 

var fill_obj=tRMJg(c,lx,ly,bg[0])
if(bg.length>1)
{
var bg2=bg[1]
var img=new Image();
img.onload=function()
{
var ptrn=c.createPattern(img,'repeat');
c.fillStyle=ptrn;
c.beginPath()
DPNam(c,el,lx,ly,arc,iWruI,bord_col,ptrn,shadow,rot,YOcWX)
}
img.src=bg2;
}
else
{
DPNam(c,el,lx,ly,arc,iWruI,bord_col,fill_obj,shadow,rot,YOcWX)
}
}
function DPNam(c,el,lx,ly,arc,iWruI,bord_col,fill_obj,shadow,rot,YOcWX)
{
if(YOcWX==undefined)YOcWX=1.0;
var arc2=arc-iWruI;
if(arc2<0)arc2=0
var nGdXh=(el.width-lx)/2;
var x_rect0=nGdXh;
var y_rect0=nGdXh;
var canv2=false;
var c2=c;
c.globalAlpha=YOcWX
if(BitIH()==true)
{
canv2=kamDK(lx,ly);
c2=canv2.getContext('2d');
c2.globalAlpha=YOcWX
}
else
{
c2.translate(nGdXh,nGdXh)
if(shadow) xklKI(c,0,0,lx,ly,arc,false,rot)
}
if(iWruI>0)
{
c2.fillStyle=bord_col;
CnfSW(c2,0,0,lx,ly,arc)
BEUnw(c2,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2,true)
c2.fill()
}
c2.fillStyle=fill_obj;
CnfSW(c2,iWruI,iWruI,lx-2*iWruI,ly-2*iWruI,arc2)
c2.fill();
if(BitIH()==true)
{
if(shadow) uewjb(c,rot)
c.drawImage(canv2,nGdXh,nGdXh);
}
else
{
c2.translate(-nGdXh,-nGdXh)
}
}
function WA_div_offset(id,x,y)
{
if(isMSIE())
{
var el=document.getElementById(id)
if(el.filters)
{
el.style.left=""+x+"px";el.style.top=""+y+"px";
}
}
}


function Size(lx,ly)
{
this.width=lx;this.height=ly;
this.clone=function(){return new Size(this.width,this.height)}
this.greaterThan=function(ElVgm){return(this.width>ElVgm.width)&&(this.height>ElVgm.height)}
this.scale=function(tYRLQ,IWajW)
{
if(!IWajW)IWajW=false
var dwKlO=this;
var mAVWG=dwKlO.width
var lTkOm=dwKlO.height
var p1=mAVWG*tYRLQ.height;
var p2=tYRLQ.width*lTkOm;
var r1=mAVWG/lTkOm;
var r2=lTkOm/mAVWG;
var newSize1=new Size(tYRLQ.height*r1,tYRLQ.height);
var newSize2=new Size(tYRLQ.width,tYRLQ.width*r2);
if(p2>p1)
{
if((IWajW==true)||((newSize1.width<=dwKlO.width)&&(newSize1.height<=dwKlO.height)))
{
dwKlO.width=Math.round(newSize1.width);
dwKlO.height=Math.round(newSize1.height);
}
}
else
{
if((IWajW==true)||((newSize2.width<=dwKlO.width)&&(newSize2.height<=dwKlO.height)))
{
dwKlO.width=Math.round(newSize2.width);
dwKlO.height=Math.round(newSize2.height);
}
}
this.width=dwKlO.width;
this.height=dwKlO.height;
return true;
}
}
function Point(p_x,p_y){this.x=p_x;this.y=p_y;
this.translate=function(OsUKe,TVBSQ){this.x+=OsUKe;this.y+=TVBSQ;}
this.clone=function(){return new Point(this.x,this.y)}
}
function Rect(p_x,p_y,lx,ly)
{
this.x=p_x;this.y=p_y;this.width=lx;this.height=ly;
this.clone=function(){return new Rect(this.x,this.y,this.width,this.height)}
this.equals=function(gBfdN){return(this.x==gBfdN.x)&&(this.y==gBfdN.y)&&(this.width==gBfdN.width)&&(this.height==gBfdN.height);}
this.copy=function(gBfdN){this.x=gBfdN.x;this.y=gBfdN.y;this.width=gBfdN.width;this.height=gBfdN.height;}
this.translate=function(OsUKe,TVBSQ){this.x+=OsUKe;this.y+=TVBSQ;}
}
function html_getLayer(gBfdN)
{
if(typeof(gBfdN)=="string")return document.getElementById(gBfdN);
return gBfdN;
}
function html_SetPosition(gBfdN,OsUKe,TVBSQ){
gBfdN=html_getLayer(gBfdN);
gBfdN.style.left=OsUKe+"px";gBfdN.style.top=TVBSQ+"px";
}
function html_SetSize(fnluv,EOOVv,mEAgd){
gBfdN=html_getLayer(fnluv);
gBfdN.style.width=EOOVv+"px";gBfdN.style.height=mEAgd+"px";
}
function html_SetRect(gBfdN,OOdKF){html_SetGeometry(gBfdN,OOdKF.x,OOdKF.y,OOdKF.width,OOdKF.height);}
function html_SetGeometry(gBfdN,OsUKe,TVBSQ,EOOVv,mEAgd){html_SetPosition(gBfdN,OsUKe,TVBSQ);html_SetSize(gBfdN,EOOVv,mEAgd);}
function html_SetVisibility(gBfdN,UgYNW){gBfdN=html_getLayer(gBfdN);gBfdN.style.visibility=(UgYNW)?"visible":"hidden";}
function html_SetDisplay(gBfdN,UgYNW){gBfdN=html_getLayer(gBfdN);gBfdN.style.display=(UgYNW)?"block":"none";}
function html_SetCanvasSize(gBfdN,EOOVv,mEAgd){gBfdN=html_getLayer(gBfdN);gBfdN.width=EOOVv;gBfdN.height=mEAgd;}
function html_SetOpacity(gBfdN,IfjTi)
{
gBfdN=html_getLayer(gBfdN);
gBfdN.style['opacity']=IfjTi;
gBfdN.style['-moz-opacity']=IfjTi;
gBfdN.style.filter=(IfjTi==1)?'':'alpha(opacity='+(IfjTi*100)+')';
}
var HAHhP=[
{acc:"e",l:["é","è","ë"]},{acc:"a",l:["à","ä","â"]},{acc:"u",l:["ü","û"]},{acc:"c",l:["ç"]},{acc:"o",l:["ö","ô"]}
];
function removeAccentsFromString(s)
{
var res=s.toLowerCase();
for(var i=0;i<HAHhP.length;i++)
{
var array2=HAHhP[i].l;
for(var i2=0;i2<array2.length;i2++)
{
var reg=new RegExp(array2[i2],"g");
res=res.replace(reg,HAHhP[i].acc)
}
}
return res;
}
function trimString(str)
{
return str.replace(/^\s*|\s*$/g,"");
}
function IsNumeric(PjLHY)
{
var oakgZ="0123456789.";var NcUEA=true;var PSbWo;
for(RdcpZ=0;RdcpZ<PjLHY.length&&NcUEA==true;RdcpZ++){PSbWo=PjLHY.charAt(RdcpZ);if(oakgZ.indexOf(PSbWo)==-1) NcUEA=false;}
return NcUEA;
}
function getWindowScroll()
{
var x=0;var y=0;
if(typeof(window.pageYOffset)=='number'){
x=window.pageXOffset;y=window.pageYOffset;
}else if(document.body&&(document.body.scrollLeft||document.body.scrollTop)){
x=document.body.scrollLeft;y=document.body.scrollTop;
}else if(document.documentElement&&(document.documentElement.scrollLeft||document.documentElement.scrollTop)){
x=document.documentElement.scrollLeft;y=document.documentElement.scrollTop;
}
return new Point(x,y);
}
function getWindowSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
if(isIPhone())
if(typeof(window.innerWidth)=='number')
{
lx=window.innerWidth;ly=window.innerHeight;
}
return new Size(lx,ly);
}
function getWindowFullSize()
{
var lx=0;var ly=0;;
if(isMSIE())
{
lx=document.documentElement.clientWidth;ly=document.documentElement.clientHeight;
if((lx==0)&&(ly==0))
{
if(document.body&&(document.body.clientWidth)){
lx=document.body.clientWidth;ly=document.body.clientHeight;
}
}
}
else
if(typeof(window.innerWidth)=='number'){
lx=window.innerWidth;
if(document.documentElement.clientWidth>0)lx=document.documentElement.clientWidth
ly=window.innerHeight;
if(document.documentElement.clientHeight>0)ly=document.documentElement.clientHeight
}
return new Size(lx,ly);
}
function urlSuffixe(WvsbS)
{
var epUNf=WvsbS*60;
var siDWI=new Date();
var BTZRK=0;
BTZRK+=siDWI.getYear()*12*31*24*60*60;
BTZRK+=siDWI.getMonth()*31*24*60*60;
BTZRK+=siDWI.getDate()*24*60*60;
BTZRK+=siDWI.getHours()*60*60;
BTZRK+=siDWI.getMinutes()*60;
BTZRK+=siDWI.getSeconds();
if(epUNf!=0)
{
BTZRK=Math.floor(BTZRK/epUNf)*epUNf
}
return "-"+BTZRK;
}
function html_findPos(obj)
{
var IfjTi=tvRBA(obj)
return new Point(IfjTi[0],IfjTi[1])
}
function tvRBA(obj)
{
var curleft=curtop=0;
if(obj.offsetParent)
{
do
{
curleft+=obj.offsetLeft;curtop+=obj.offsetTop;
}while(obj=obj.offsetParent);
}
return [curleft,curtop];
}
function Wa_search_input(tunXo,EOOVv,mEAgd)
{
document.write("<input id='"+tunXo+"' type=search results=0 placeholder='' style='width:"+EOOVv+"px;height:"+mEAgd+"px;'>")
}
function JcRKY()
{
var BgMXa=document.getElementsByTagName("A");
for(var RdcpZ=0;RdcpZ<BgMXa.length;RdcpZ++)
{
var gBfdN=BgMXa[RdcpZ];
if(gBfdN.onmouseover)gBfdN.onmouseover=null;
if(gBfdN.onmouseout)gBfdN.onmouseout=null;
}
}
function EQYgC()
{
for(var qaVaF in document.wa_global_list_element)
{
var FZEHr=document.wa_global_list_element[qaVaF]
var cbhYv=document.getElementById(FZEHr)
cbhYv.onclick=function()
{
WA_focus(this)
}
}
}
function WA_declare(FZEHr)
{
if(!document.wa_global_list_element)
{
document.wa_global_list_element=new Array();;
}
document.wa_global_list_element.push(FZEHr)
}
function dvaSq()
{
var RUTcK=window.location.search;
if(RUTcK.substr(0,1)=="?")RUTcK=RUTcK.substr(1);
if(RUTcK.length==0)return;
var dRxUw=new Array();
var Vbokv=RUTcK.split("&");
for(var i=0;i<Vbokv.length;i++)
{
var JtFHQ=Vbokv[i].split("=");dRxUw[JtFHQ[0]]=JtFHQ[1];
}
var ElVgm_info=dRxUw["crbst_info"];
if(!ElVgm_info)return;
var YxujS=new Array();
YxujS.m_unid=ElVgm_info;
YxujS.m_index_item=-1;
var jooQT=ElVgm_info.indexOf("-");
if(jooQT!=-1)
{
YxujS.m_unid="wa-id-"+ElVgm_info.substring(0,jooQT);
YxujS.m_index_item=parseInt(ElVgm_info.substring(jooQT+1));
}
document.wa_global_query_info=YxujS;
}
function IS_onload_WA()
{

if(isMSIE8())
{
wa_timeout("IS_onload_ui()",0)
}
else
{
IS_onload_ui()
}
if(isIPhone())
{
JcRKY()
}
else
{
EQYgC()
}
dvaSq();

ElSQL()
}
function ElSQL()
{
var gFSwd=0;
var RkJxa=document.webaca_banner_height;
if(document.webaca_page_is_centered)
{
var PPkvM=getWindowSize().width
var jYlxh=document.webaca_width_page
if(PPkvM>jYlxh)gFSwd=(PPkvM-jYlxh)/2;
}
document.body.style.backgroundPosition=gFSwd+"px "+RkJxa+"px";
}


function WA_loadMessages()
{
for(var k in CONST_WA_TR)
{
var key=CONST_WA_TR[k]
Translator.m_tr[key[0]]=key[1]
}
for(var n=0;n<CONST_WA_COUNTRIES.codes.length;n++)
{
var xOhet=CONST_WA_COUNTRIES.codes[n]
var LGsEh=CONST_WA_COUNTRIES.labels[n]
Translator.m_countries[xOhet]=LGsEh
}
}
function Translator()
{
}
Translator.m_tr=new Array();
Translator.m_countries=new Array();
Translator.tr=function(k)
{
try
{
var v=Translator.m_tr[k]
if((v==undefined)||(v.length==0))return "@"+k;
v=v.replace(/\n/g,"<br>")
return v
}
catch(e){}
return k;
}
Translator.country=function(k)
{
try
{
var v=Translator.m_countries[k]
if((v==undefined)||(v.length==0))return "@"+k;
return v
}
catch(e){}
return k;
}
function WA_GraphicElement(FZEHr,eVFMr,aIDCT)
{
this.FZEHr=FZEHr;
this.eVFMr=eVFMr
this.aIDCT=aIDCT;
this.vIBDb=this.FZEHr+"-div"
this.tvQwB=this.FZEHr+"-canvas"
this.UssSp=new Rect(0,0,0,0)
this.VVRod=false;
this.YwHbr=false;
this.nGdXh=6;
this.xaXLd_src=false;
this.xaXLd_clip=false;
this.jVrBh=false;
this.KdnHW="";
this.shadow=function()
{
return this.aIDCT;
}
this.marginShadow=function()
{
return this.nGdXh;
}
this.rect=function()
{
return this.UssSp;
}
this.canvasId=function()
{
return this.tvQwB;
}
this.divId=function()
{
return this.vIBDb;
}
this.opacity=function()
{
return this.IHBhe;
}
this.img_clip=function()
{
return this.xaXLd_clip;
}
this.img_src=function()
{
return this.xaXLd_src;
}
this.toHtml=function()
{
var ElVgm=""
ElVgm+="<div id='"+this.vIBDb+"' style=\"";
ElVgm+="position:absolute;";
if(this.KdnHW.length>0)
{
ElVgm+="cursor:pointer;";
}
if(this.rect.x>0)ElVgm+="left:"+this.rect.x+"px;";
if(this.rect.y>0)ElVgm+="top:"+this.rect.y+"px;";
if(this.rect.width>0)ElVgm+="width:"+this.rect.width+"px;";
if(this.rect.height>0)ElVgm+="height:"+this.rect.height+"px;";
if(eVFMr)
ElVgm+="z-index:"+eVFMr+";";
ElVgm+="\" ";
if(this.KdnHW.length>0)
{
ElVgm+="onclick=\""+this.KdnHW+"\" "
}
ElVgm+=">";
if((this.rect.width>0)&&this.shadow())
{
ElVgm+=html_canvas(this.tvQwB,this.rect.width+2*this.nGdXh,this.rect.height+2*this.nGdXh)+"</div>";
}
else
{
ElVgm+=html_canvas(this.tvQwB,0,0)+"</div>";
}
return ElVgm
}
this.setImage=function(rMRao,xVTLH,srKdb)
{
if(srKdb==undefined)srKdb=0;
if((rMRao==this.xaXLd_src)&&(this.xaXLd_clip&&this.xaXLd_clip.equals(xVTLH))&&(this.jVrBh==srKdb))
{
return;
}
this.jVrBh=srKdb;
this.xaXLd_src=rMRao;
this.xaXLd_clip=xVTLH;
this.ptkVv()
}
this.registerDynamicCanvas=function()
{
registerDynamicCanvas(this.tvQwB);
this.YwHbr=true;
this.setRect(this.UssSp.x,this.UssSp.y,this.UssSp.width,this.UssSp.height)
}
this.ptkVv=function()
{
if((this.UssSp.width>0)&&(this.UssSp.height>0))
{
this.draw()
}
this.VVRod=true
};
this.draw=function(){};
this.setPosition=function(OsUKe,TVBSQ)
{
this.UssSp.x=OsUKe;this.UssSp.y=TVBSQ;
if(this.YwHbr==false)return
html_SetPosition(this.vIBDb,this.UssSp.x,this.UssSp.y)
if(this.VVRod==false)
{
this.ptkVv()
}
}
this.setOnClick=function(ElVgm)
{
this.KdnHW=ElVgm
}
this.width=function(){return this.UssSp.width;}
this.height=function(){return this.UssSp.height;}
this.setSize=function(EOOVv,mEAgd)
{
this.UssSp.width=EOOVv;this.UssSp.height=mEAgd;
var BcLvv=EOOVv
var cjKHI=mEAgd
if(this.aIDCT)
{
BcLvv+=2*this.nGdXh
cjKHI+=2*this.nGdXh
}
if(this.YwHbr==false)return
html_SetSize(this.vIBDb,BcLvv,cjKHI)
html_SetCanvasSize(this.tvQwB,EOOVv,mEAgd)
this.ptkVv()
}
this.setRect=function(OsUKe,TVBSQ,EOOVv,mEAgd)
{
this.UssSp.x=OsUKe;this.UssSp.y=TVBSQ;this.UssSp.width=EOOVv;this.UssSp.height=mEAgd;
var BcLvv=EOOVv
var cjKHI=mEAgd
var qddsT=OsUKe
var LaCMm=TVBSQ
if(this.aIDCT)
{
BcLvv+=2*this.nGdXh
cjKHI+=2*this.nGdXh
qddsT-=this.nGdXh
LaCMm-=this.nGdXh
}
if(this.YwHbr==false)return 
html_SetGeometry(this.vIBDb,qddsT,LaCMm,BcLvv,cjKHI);
html_SetCanvasSize(this.tvQwB,BcLvv,cjKHI)
try{this.ptkVv()}catch(e){
alert(e.message)
}
}
this.setVisible=function(UgYNW)
{
if(this.YwHbr==false)return
html_SetVisibility(this.vIBDb,UgYNW)
}
this.setOpacity=function(IfjTi)
{
this.IHBhe=IfjTi 
if(this.YwHbr==false)return
this.ptkVv()
}
}

function is_onresize()
{
WA_Dialog.resizeUI()
try
{
if(WA_PhotoAlbum_resizeUI)WA_PhotoAlbum_resizeUI()
}
catch(e){}
ElSQL()
}
function is_onscroll()
{
centerFullPageContainer();
}
function registerDynamicCanvas(id)
{
if(isMSIE())
G_vmlCanvasManager.initElement(document.getElementById(id));
}
function WA_openDialogAction(qaVaF)
{
var vXCFB=WA_Dialog.ifBfi;
if(qaVaF==-1){vXCFB.closeWin();return;}
var iJJZO=vXCFB.dwsBf(qaVaF);
if(iJJZO[5])
{
iJJZO[4].call(iJJZO[6],iJJZO[5])
}
else
{
iJJZO[4](iJJZO[5]);
}
}
function WA_Dialog(UgYNW_close_button)
{
this.vJjoX=0;
this.YUPNY=0;
this.tYRLQ_win_width=600;
this.tYRLQ_win_height=400;
this.wWEtD=new Array();
this.UvBaD="wa-dialog-but-";
this.HFOAr=this.UvBaD+"div-";
this.stVvO=this.UvBaD+"canvas-";
this.BUTTON_HEIGHT=25;
this.RaZsl=CONST_WA_GLOBAL_COLOR_THEME;
this.UgYNW_close_button=UgYNW_close_button;
this.OiWaB=5;
this.IVbJv=function()
{
if(this.UgYNW_close_button==undefined)this.UgYNW_close_button=true;
this.sEQHe();
}
this.resetButtons=function()
{
this.sEQHe();
}
this.idealHeight=function()
{
return this.GWjUR
}
this.displayWindowWithAutoResize=function(bUlJM,xlBYF)
{
this.DjmGO=false
this.GWjUR=bUlJM
this.ZQngb=xlBYF 
this.resetButtons();
xlBYF.call(this)
var l=document.getElementById('wa-dialog-content');
if(this.DjmGO==false)
if(l.scrollHeight>200)
{
this.DjmGO=true
this.GWjUR=l.scrollHeight+150
this.resetButtons();
xlBYF.call(this)
}
}
this.initializeWindow=function(tYRLQ_lx,tYRLQ_ly)
{
if(WA_Dialog.ifBfi)WA_Dialog.ifBfi.closeWin()
WA_Dialog.ifBfi=this;
this.tYRLQ_win_width=tYRLQ_lx;
this.tYRLQ_win_height=tYRLQ_ly;
this.eaiDC()
}
this.progress=function()
{
this.initializeWindow(300,100) 
this.writeContent("<div width=100% align=center><img src='wa_loading.gif'></div>")
}
this.DNaWs=function(mess)
{


this.initializeWindow(450,130)
var s=""
s+="<table border=0 style='width:100%;'><tr>";
s+="<td align=center style='"+this.cssText1()+"'>"
s+=mess
s+="</td></tr></table>"
this.writeContent(s)
}
this.addButton=function(LGsEh,fQHgB,MHAJQ,GFKWn)
{
var FnJVn=this.wWEtD.length
if(this.UgYNW_close_button==true)
{
FnJVn--;
}
var EOOVv=Math.max((LGsEh.length*8)*1.2+30,80)
var dwKlO=new Size(EOOVv,this.BUTTON_HEIGHT);
this.DUcwn("action_"+FnJVn,FnJVn,LGsEh,fQHgB,dwKlO,MHAJQ,GFKWn)
}
this.sEQHe=function()
{
this.wWEtD=new Array();
if(this.UgYNW_close_button)
{
var dwKlO=new Size(120,20);
this.DUcwn("close",-1,Translator.tr("Close")+" - X",null,dwKlO)
}
}
this.DUcwn=function(TRqWd,FnJVn,LGsEh,fQHgB,dwKlO,MHAJQ,GFKWn)
{
var iJJZO=[TRqWd,dwKlO,FnJVn,LGsEh,fQHgB,MHAJQ,GFKWn];
this.wWEtD.push(iJJZO);
}
this.writeContent=function(s)
{
var l=document.getElementById('wa-dialog-content');
l.innerHTML=s
}
this.dwsBf=function(TRqWd)
{
for(var qaVaF=0;qaVaF<this.wWEtD.length;qaVaF++)
{
var iJJZO=this.wWEtD[qaVaF];
if((iJJZO[0]==TRqWd)||(iJJZO[2]+""==TRqWd+""))
return iJJZO;
}
return undefined;
}
this.jZkag=function(TRqWd)
{
var iJJZO=this.dwsBf(TRqWd);
return iJJZO[1]
}
this.OXUqP=function(HVpsc)
{
var iJJZO=this.dwsBf(HVpsc);
var TRqWd=iJJZO[0];
var FnJVn=iJJZO[2];
var HNPsj=this.RaZsl[4]
var rNATP_bg=this.RaZsl[5]
var rNATP_glow=this.RaZsl[7]
if(FnJVn==-1)
{
HNPsj=this.RaZsl[10]
rNATP_bg=this.RaZsl[8]
rNATP_glow=this.RaZsl[11]
}
var omcDd_id=this.HFOAr+TRqWd;
var rfmuj=this.stVvO+TRqWd;
var dwKlO=this.jZkag(HVpsc)
var EniXJ=this.OiWaB;
var s=""
s+="<a href='javascript:WA_openDialogAction("+HVpsc+")' ";
var rNATP=new RGBColor(rNATP_bg);
var iFmOb=rNATP.toHsl();
rNATP.fromHsl(iFmOb[0],iFmOb[1],iFmOb[2]+0.2)
rNATP_bg=rNATP.toRGB();
var oiTXZ=new RGBColor(rNATP_glow);
var oiTXZ_hsl=oiTXZ.toHsl();
oiTXZ.fromHsl(oiTXZ_hsl[0],oiTXZ_hsl[1],oiTXZ_hsl[2]+0.2)
rNATP_glow=oiTXZ.toRGB();
s+="onmouseover=\"WA_but_over('"+rfmuj+"','"+rNATP_bg+"','"+rNATP_glow+"')"+"\" ";
s+="onmouseout=\""+"WA_but_out('"+rfmuj+"')"+"\" ";
s+="style='text-decoration:none;'>";
s+="<div id='"+this.HFOAr+TRqWd+"' style='position:absolute;cursor:pointer;left:0px;top:0px;height:"+dwKlO.height+"px;width:"+dwKlO.width+"px;' >";
s+="<div style='position:absolute;left:"+(-EniXJ)+"px;top:"+(-EniXJ)+"px;height:"+dwKlO.height+"px;'>"
s+="<canvas id='"+this.stVvO+TRqWd+"' width="+(dwKlO.width+EniXJ*2)+" height="+(dwKlO.height+EniXJ*2)+" ></canvas>";
s+="</div>"
s+="<div align=center style='position:absolute;left:0px;top:"+(0)+"px;vertical-align:middle;width:100%;height:"+(dwKlO.height)+"px;line-height:"+(dwKlO.height)+"px;font-family:arial;font-size:13px;font-weight:bold;color:"+HNPsj+"'>"
s+=iJJZO[3];
s+="</div>"
s+="</div>"
s+="</a>"
return s;
}
this.getColorTheme=function(qaVaF)
{
return this.RaZsl[qaVaF];
}
this.iQMZJ=function(TRqWd)
{
var iJJZO=this.dwsBf(TRqWd);
var FnJVn=iJJZO[2];
var rNATP_bg=this.RaZsl[5]
var rNATP_glow=this.RaZsl[7]
var HNPsj=this.RaZsl[3]
if(FnJVn==-1)
{
rNATP_bg=this.RaZsl[8]
rNATP_glow=this.RaZsl[11]
HNPsj=this.RaZsl[10]
}
var xOhet=this.stVvO+TRqWd;
registerDynamicCanvas(xOhet);
var dwKlO=this.jZkag(TRqWd);
var GCZhE=dwKlO.height*0.25;
var GCZhE_top=(dwKlO.height-GCZhE)/2;
var DVevr=(dwKlO.width-2);
var mEAgd_circle_top=GCZhE*2;
var XbWlv_top=[(dwKlO.width-DVevr)/2,1,DVevr,mEAgd_circle_top,GCZhE_top];
var nfNmC=dwKlO.width*0.9;
var mEAgd_circle_bottom=dwKlO.height*0.45;
var iGpgR=rNATP_glow;
var XSFGG=rNATP_glow;
var GCZhE_bottom=mEAgd_circle_bottom/2;
var XbWlv_bottom=[(dwKlO.width-nfNmC)/2,dwKlO.height-mEAgd_circle_bottom-1,nfNmC,mEAgd_circle_bottom,GCZhE_bottom,iGpgR,XSFGG];
WA_but(xOhet,0,dwKlO.width,dwKlO.height,GCZhE,rNATP_bg,XbWlv_top,XbWlv_bottom,true,0)
}
this.DRQTG=function(TRqWd)
{
var iJJZO=this.dwsBf(TRqWd)
if(iJJZO)
{
var xOhet=this.HFOAr+iJJZO[0];
return document.getElementById(xOhet);
}
return undefined
}
this.eaiDC=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="block" 

var s="";
var rfHIY=document.webaca_banner_height
s+="<div  style='position:absolute;left:0px;top:"+rfHIY+"px;width:100%;height:100%;background-color:#000000;filter:alpha(opacity=50);-moz-opacity:0.5;opacity:0.5;'></div>"
s+="<div id='wa-dialog-main' style='position:absolute;left:0px;top:"+rfHIY+"px;width:100px;height:100px;' >"
s+="<div style='position:absolute;left:0px;top:0px;width:100px;height:100px;' ><canvas id='wa-dialog1' width=100 height=100 ></canvas></div>"
for(var RdcpZ in this.wWEtD)
{
s+=this.OXUqP(this.wWEtD[RdcpZ][2]);
}
s+="<div id='wa-dialog-content' style='position:absolute;left:0px;top:0px;width:100px;" 
s+="overflow:auto;' ></div>"
s+="</div>"
l.innerHTML=s 
WA_exec_callback_opera_compliant(this,this.UNKLW)
}
this.UNKLW=function()
{
registerDynamicCanvas('wa-dialog1');
for(var RdcpZ in this.wWEtD)
{
this.iQMZJ(this.wWEtD[RdcpZ][0])
}
this.MDoRg()
}
this.intern_closeWin=function()
{
var l=document.getElementById('wa-dialog-container');
l.style.display="none"
WA_Dialog.ifBfi=false
}
this.closeWin=function()
{
this.intern_closeWin()
}
this.cssText1=function()
{
return "font-family:Arial;font-size:15px;color:"+this.RaZsl[3]+";";
}
this.onCustomKeypress=function(RwtDp)
{
if((this.wWEtD.length==1)&&(RwtDp==13))
{
this.closeWin()
return true;
}
return false;
}
this.onkeypress=function(RwtDp)
{
return this.onCustomKeypress(RwtDp)
}
this.onkeydown=function(RwtDp)
{
if(RwtDp==27)
{
this.closeWin()
return true;
}
return this.onCustomKeypress(RwtDp) 
}
this.customUpdate=function(){}
this.MDoRg=function()
{
var Mkklf=document.webaca_width_page;
var mEAgd_page=document.webaca_height_page;
var Qshph=getWindowSize().width
var mEAgd_window=getWindowSize().height 

this.vJjoX=Math.min(Qshph*0.9,this.tYRLQ_win_width)
this.YUPNY=Math.min(mEAgd_window*0.9,this.tYRLQ_win_height)
var GfvQi=document.getElementById('wa-dialog1');
GfvQi.width=this.vJjoX+10
GfvQi.height=this.YUPNY+10
var OsUKe=getWindowScroll().x+(Qshph-GfvQi.width)/2
var TVBSQ=getWindowScroll().y+(mEAgd_window-GfvQi.height)/2
OsUKe=(Qshph-GfvQi.width)/2
TVBSQ=(mEAgd_window-GfvQi.height)/2
OsUKe=Math.max(0,OsUKe)
TVBSQ=Math.max(0,TVBSQ) 
var slsYC=document.getElementById('wa-dialog-main');
html_SetGeometry('wa-dialog-main',OsUKe,TVBSQ,GfvQi.width,GfvQi.height);
var dBEjv_bg="(0;0;0;"+this.YUPNY*0.25+";"+this.RaZsl[1]+";"+this.RaZsl[2]+")";
WA_bg('wa-dialog1',this.vJjoX,this.YUPNY,10,3,this.RaZsl[0],[dBEjv_bg],true,0)
var CSRnJ=10;
var GOicw=this.DRQTG(-1)
if(GOicw)
{
var dwKlO_but_close=this.jZkag(-1)
html_SetPosition(GOicw,this.vJjoX-dwKlO_but_close.width+this.OiWaB-CSRnJ,this.OiWaB+CSRnJ)
}
var mQiEg=this.wWEtD.length;
if(this.UgYNW_close_button==true)
{
mQiEg--;
}
var SAQhG=10;
var DIKCM=0;
for(var RdcpZ=0;RdcpZ<mQiEg;RdcpZ++)
{
if(RdcpZ>0) DIKCM+=SAQhG;
var dwKlO_but=this.jZkag(RdcpZ);
DIKCM+=dwKlO_but.width;
}
var EMiHP=(this.vJjoX-DIKCM)/2
for(var RdcpZ=0;RdcpZ<mQiEg;RdcpZ++)
{
if(RdcpZ>0) EMiHP+=SAQhG;
var PjEEF_div=this.DRQTG(RdcpZ);
var dwKlO_but=this.jZkag(RdcpZ);
html_SetPosition(PjEEF_div,EMiHP+this.OiWaB,+this.OiWaB+this.YUPNY-dwKlO_but.height-2*CSRnJ)
EMiHP+=dwKlO_but.width;
}
var mEAgd_top=45;
var mEAgd_bottom=this.BUTTON_HEIGHT+2*CSRnJ;
if(mQiEg==0)
{
mEAgd_bottom=0;
}
var mEAgd_content=(this.YUPNY-mEAgd_top-mEAgd_bottom)-CSRnJ
var aEdUS=document.getElementById('wa-dialog-content');
var vXCFB_content=Math.round(this.vJjoX-2*CSRnJ)
var dcUam=Math.round(mEAgd_content)
this.m_content_lx=vXCFB_content
this.m_content_ly=dcUam
html_SetGeometry('wa-dialog-content',Math.round(5+(this.vJjoX-vXCFB_content)/2),Math.round(5+mEAgd_top+(mEAgd_content-dcUam)/2),vXCFB_content,dcUam);
this.customUpdate() 
var STVVE=document.getElementById('wa-dialog-container');
Srnje=getWindowFullSize().width
mEAgd_full_client=getWindowFullSize().height
html_SetSize('wa-dialog-container',Srnje,mEAgd_full_client);
centerFullPageContainer();
}
this.IVbJv();
}
function WA_exec_callback_opera_compliant(MHAJQ,bFlQe)
{
if(/opera/i.test(navigator.userAgent))
vllTZ(MHAJQ,bFlQe)
else
bFlQe.call(MHAJQ)
}
function vllTZ(MHAJQ,bFlQe)
{
wa_timeout(BOqsP,0,MHAJQ,bFlQe);
}
function BOqsP(MHAJQ,bFlQe)
{
bFlQe.call(MHAJQ)
}
WA_Dialog.getCurrent=function()
{
return WA_Dialog.ifBfi;
}
WA_Dialog.ifBfi=false;
WA_Dialog.resizeUI=function()
{
if(WA_Dialog.ifBfi)
{
WA_Dialog.ifBfi.MDoRg()
}
}
WA_Dialog.alert=function(s)
{
var w=new WA_Dialog();
w.DNaWs(s)
}
WA_Dialog.progress=function()
{
var w=new WA_Dialog(false);
w.progress()
}
function centerFullPageContainer()
{
var Mkklf=document.webaca_width_page;
var mEAgd_page=document.webaca_height_page;
var STVVE=document.getElementById('wa-dialog-container');
Srnje=getWindowSize().width
mEAgd_full_client=getWindowSize().height
var TVBSQ_bg=getWindowScroll().y;
TVBSQ_bg=Math.min(TVBSQ_bg,mEAgd_page-mEAgd_full_client+1)
TVBSQ_bg=Math.max(TVBSQ_bg,0)
var KmTRH=getWindowScroll().x;
KmTRH=Math.min(KmTRH,Mkklf-Srnje+1)
KmTRH=Math.max(KmTRH,0) 
html_SetPosition('wa-dialog-container',KmTRH,TVBSQ_bg,Srnje,mEAgd_full_client);
}

function getXMLHttpRequest(fct_callback,GFKWn)
{
var http_request=false;
if(window.XMLHttpRequest){
http_request=new XMLHttpRequest();
if(http_request.overrideMimeType){
}
}else if(window.ActiveXObject){
try{http_request=new ActiveXObject("Msxml2.XMLHTTP");
}catch(e){
try{http_request=new ActiveXObject("Microsoft.XMLHTTP");}catch(e){}}
}
if(!http_request)
{
alert('Cannot create XMLHTTP instance');
return false;
}
http_request.OnMUO=fct_callback
http_request.GFKWn=GFKWn
http_request.onreadystatechange=function()
{
var req=this 
if(req.readyState==4)
{
this.OnMUO(true,this,this.GFKWn) 

}
};
return http_request;
}
function makePOSTRequest(url,parameters,callback,DxQvM)
{
var http_request=getXMLHttpRequest(callback,DxQvM);
http_request.open('POST',url,true);
http_request.setRequestHeader("Content-type","application/x-www-form-urlencoded");
http_request.setRequestHeader("Content-length",parameters.length);
http_request.setRequestHeader("Connection","close");
http_request.send(parameters);
}
function intern_WA_responseForm(KoTjg,CpnZm,GFKWn)
{
var result=CpnZm.responseText
var n=result.indexOf("BEGIN_IS_PHP=1")
if(n==-1)
{
WA_Dialog.alert(Translator.tr("Error:No php on server"));
}
else
{
n=result.indexOf("mail_sended=1")
if(n>-1)
{
var iSBSv=GFKWn[0] 
WA_Dialog.alert(Translator.tr("Success:Mail sended"));
var form=document.getElementById(iSBSv);
form.reset()
}
else
{
var Hinxc="error_string="
n=result.indexOf(Hinxc)
if(n>-1)
{
result=result.substring(n+Hinxc.length)
n=result.indexOf("END_IS_PHP")
if(n>-1)
{
result=result.substring(0,n)
}
WA_Dialog.alert(result);
}
else
{
WA_Dialog.alert("*error send mail!");
}
}
}
}
function WA_form_action(id_form,action,b_email_is_valid)
{
var form=document.getElementById(id_form);
var poststr=""
for(var i=0;i<form.elements.length;i++)
{
var el=form.elements[i];
el.style.backgroundColor="#ffffff"
if((el.value.length==0)&&(el.name.indexOf("_mandatory")>-1))
{
el.style.backgroundColor="#ff0000";el.focus();return;
}
var AEpnQ=el.value
AEpnQ=encodeURI(AEpnQ)
AEpnQ=AEpnQ.replace(/&/g,escape("&")) 
poststr+=el.name.replace("_mandatory","")+"="+AEpnQ+"&"
}
if(b_email_is_valid==false)
{
WA_Dialog.alert(Translator.tr("Email have to be filled in order to the form works correctly"));return;
}
if(document.webaca_is_preview)
{
WA_Dialog.alert(Translator.tr("Operation not allowed in preview mode"));return;
}
WA_Dialog.progress();
makePOSTRequest(action,poststr,intern_WA_responseForm,[id_form]);
}
function WA_form_submit(oODfA)
{
var gfbCM=document.getElementById(oODfA);
gfbCM.submit() 
}
function mopDc(FZEHr,GFKWn)
{
var RwtDp=GFKWn[0]
if(RwtDp==13)
{
var oODfA=FZEHr+"-form";
var gfbCM=document.getElementById(oODfA);
for(var i=0;i<gfbCM.elements.length;i++)
{
var cbhYv=gfbCM.elements[i];
if((cbhYv.type=="textarea")&&(cbhYv.focused))return true;
}
WA_form_submit(oODfA);
return false;
}
return true;
}
function WA_addFormDeclaration(FZEHr,QcdOM)
{
return WA_addHandler(FZEHr,"keypress",mopDc)
}
function WA_form_bg(id,lx,ly,arc,iWruI,bord_col,bg,shadow,srKdb,ZmmlA)
{
WA_bg(id,lx,ly,arc,iWruI,bord_col,bg,shadow,srKdb,1.0,true) 
var jPAsn=ZmmlA.x;
var WchuS=0;
var Enqli=ZmmlA.cells
for(var n=0;n<Enqli.length;n++)
{
var OJhdZ=Enqli[n]
var arc2=0
uhAfc(id,jPAsn,WchuS+OJhdZ.y,ZmmlA.w,OJhdZ.h,arc2,1,ZmmlA.border,[''],false,0,1.0,false)
uhAfc(id,jPAsn,WchuS+OJhdZ.y,OJhdZ.w,OJhdZ.h,arc2,1,"rgba(0,0,0,0)",[ZmmlA.bg],false,0,1.0,false)
}
}
function WA_form_reset(id_form)
{
var form=document.getElementById(id_form);
form.reset() 
}
var BrowserDetect={
init:function(){
this.browser=this.searchString(this.dataBrowser)||"An unknown browser";
this.version=this.searchVersion(navigator.userAgent)||this.searchVersion(navigator.appVersion)||"an unknown version";
this.OS=this.searchString(this.dataOS)||"an unknown OS";
},searchString:function(data){
for(var i=0;i<data.length;i++){
var dataString=data[i].string;var dataProp=data[i].prop;
this.versionSearchString=data[i].versionSearch||data[i].identity;
if(dataString){
if(dataString.indexOf(data[i].subString)!=-1)
return data[i].identity;
}
else if(dataProp)
return data[i].identity;
}
},searchVersion:function(dataString){
var index=dataString.indexOf(this.versionSearchString);
if(index==-1) return;
return parseFloat(dataString.substring(index+this.versionSearchString.length+1));
},
dataBrowser:[
{string:navigator.userAgent,subString:"OmniWeb",versionSearch:"OmniWeb/",identity:"OmniWeb"},{string:navigator.vendor,subString:"Apple",identity:"Safari"},{prop:window.opera,identity:"Opera"},{string:navigator.vendor,subString:"iCab",identity:"iCab"},{string:navigator.vendor,subString:"KDE",identity:"Konqueror"},{string:navigator.userAgent,subString:"Firefox",identity:"Firefox"},{string:navigator.vendor,subString:"Camino",identity:"Camino"},{string:navigator.userAgent,subString:"Netscape",identity:"Netscape"},
{string:navigator.userAgent,subString:"MSIE",identity:"Explorer",versionSearch:"MSIE"},{string:navigator.userAgent,subString:"Gecko",identity:"Mozilla",versionSearch:"rv"},{string:navigator.userAgent,subString:"Mozilla",identity:"Netscape",versionSearch:"Mozilla"}
],dataOS:[
{string:navigator.platform,subString:"Win",identity:"Windows"},{string:navigator.platform,subString:"Mac",identity:"Mac"},{string:navigator.platform,subString:"Linux",identity:"Linux"}
]
};
BrowserDetect.init();
function RGBColor(dLnEo)
{
this.ok=false;this.a=1.0;
if(dLnEo.charAt(0)=='#'){dLnEo=dLnEo.substr(1);}
dLnEo=dLnEo.replace(/ /g,'');
dLnEo=dLnEo.toLowerCase();
var hSraX=[
{re:/^rgba\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3}),\s*(\d{1,2}\.*\d{0,2})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3]),parseFloat(""+bits[4]) ];}},{re:/^rgb\((\d{1,3}),\s*(\d{1,3}),\s*(\d{1,3})\)$/,_process:function(bits){return [ parseInt(bits[1]),parseInt(bits[2]),parseInt(bits[3])];}},{re:/^(\w{2})(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16),Math.round(parseInt(bits[4],16)*100/255)/100 ];}},{re:/^(\w{2})(\w{2})(\w{2})$/,_process:function(bits){return [ parseInt(bits[1],16),parseInt(bits[2],16),parseInt(bits[3],16) ];}}
];
for(var i=0;i<hSraX.length;i++){
var HEPiq=hSraX[i].re;
var aKNec=hSraX[i]._process;
var ruLbc=HEPiq.exec(dLnEo);
if(ruLbc){
var mfUqA=aKNec(ruLbc);
this.r=mfUqA[0];this.g=mfUqA[1];this.b=mfUqA[2];this.a=mfUqA[3];
this.ok=true;
}
}
this.r=(this.r<0||isNaN(this.r))?0:((this.r>255)?255:this.r);
this.g=(this.g<0||isNaN(this.g))?0:((this.g>255)?255:this.g);
this.b=(this.b<0||isNaN(this.b))?0:((this.b>255)?255:this.b);
this.a=(this.a>1||isNaN(this.a))?1:((this.a<0)?0:this.a);
this.toRGB=function()
{
if(this.a==1)return 'rgb('+this.r+', '+this.g+', '+this.b+')';
return 'rgba('+this.r+', '+this.g+', '+this.b+','+this.a+')';
}
this.toRGB_opaque=function()
{
return 'rgb('+this.r+', '+this.g+', '+this.b+')';
}
this.toHsl=function(){
var r=this.r;var g=this.g;var b=this.b;r/=255,g/=255,b/=255;
var max=Math.max(r,g,b),min=Math.min(r,g,b);
var h,s,l=(max+min)/2;
if(max==min){h=s=0;
}else{
var d=max-min;s=l>0.5?d/(2-max-min):d/(max+min);
switch(max){
case r:h=(g-b)/d+(g<b?6:0);break;
case g:h=(b-r)/d+2;break;
case b:h=(r-g)/d+4;break;
}
h/=6;
}
return [h,s,l];
}
this.jKwmh=function(p,q,t)
{
if(t<0) t+=1;if(t>1) t-=1;if(t<1/6) return p+(q-p)*6*t;if(t<1/2) return q;if(t<2/3) return p+(q-p)*(2/3-t)*6;
return p;
};
this.fromHsl=function(h,s,l){
if(l>1.0)l=1.0
var r,g,b;
if(s==0){r=g=b=l;
}else{
var q=l<0.5?l*(1+s):l+s-l*s;
var p=2*l-q;
r=this.jKwmh(p,q,h+1/3);g=this.jKwmh(p,q,h);b=this.jKwmh(p,q,h-1/3);
}
r=r*255;g=g*255;b=b*255;
r=Math.round(r);g=Math.round(g);b=Math.round(b);
if(r<0)r=-r;if(g<0)g=-g;if(b<0)b=-b
this.r=r;this.g=g;this.b=b;
};
}
function TivNk(rcQDl,GFKWn)
{
if(document.wa_global_handlers!=undefined)
{
var FZEHr=WA_focused_element()
if(FZEHr)
{
var fQHgB=document.wa_global_handlers[FZEHr+"-"+rcQDl]
if(fQHgB) return fQHgB([FZEHr],GFKWn)
}
}
return true;
}
function bsrVt(e)
{
if(window.event){return e.keyCode;}
else 
if(e.which) return  e.which;
return-1;
}
function WA_onkeypress(e)
{
var RwtDp=bsrVt(e);
if(WA_Dialog.ifBfi)
{
if(WA_Dialog.ifBfi.onkeypress(RwtDp))
{
return false;
}
}
return TivNk("keypress",[RwtDp]);
}
function WA_ondblclick(e)
{
return TivNk("dblclic",[""]);
}
function WA_onkeydown(e)
{
var RwtDp=bsrVt(e)
if(WA_Dialog.ifBfi)
{
if(WA_Dialog.ifBfi.onkeydown(RwtDp))
{
return false;
}
}
if(RwtDp==13) return true;

if(wa_global_photo_album&&wa_global_photo_album.fullpage_object)
{
var MHAJQ=wa_global_photo_album.fullpage_object
return MHAJQ.onFullScreenKeydown(RwtDp) 
}
return TivNk("keydown",[RwtDp]);
}
function WA_genericMouseWheelHandler(e)
{
var delta=0;
if(!e) e=window.event;
if(e.wheelDelta){
delta=e.wheelDelta/120;
if(window.opera) delta=-delta;
}else if(e.detail){
delta=-e.detail/3;
}
if(navigator.userAgent.match(/opera/i)) delta=-delta;
var b_default=false;
if(delta)
{
if(document.wa_global_handlers!=undefined)
{
var FZEHr=this.id
var fQHgB=document.wa_global_handlers[FZEHr+"-mousewheel"]
if(fQHgB)
{
if(fQHgB([FZEHr],[delta]))
{
b_default=true;
}
}
}
}
if(b_default)
if(e.preventDefault)
e.preventDefault();
e.returnValue=!b_default;
}
function WA_addHandler(FZEHr,rcQDl,bFlQe)
{
if(document.wa_global_handlers==undefined) document.wa_global_handlers=new Array()
if(rcQDl=="mousewheel")
{
var omcDd=document.getElementById(FZEHr);
if(omcDd.addEventListener)
omcDd.addEventListener('DOMMouseScroll',WA_genericMouseWheelHandler,false);
omcDd.onmousewheel=WA_genericMouseWheelHandler
}
document.wa_global_handlers[FZEHr+"-"+rcQDl]=bFlQe
}
function WA_loadPhotoAlbum(FZEHr,uPfKG,dwKlO,FZEHr_modif)
{
if(typeof(wa_global_photo_album[FZEHr])=="undefined")
{
var o=new Array();
o.src_folder=uPfKG
o.size_container=dwKlO
o.id_modif=FZEHr_modif
wa_global_photo_album[FZEHr]=o;
}
}
function WA_focused_element()
{
return document.wa_global_focused_element
}
function WA_focus(MHAJQ)
{
document.wa_global_focused_element=MHAJQ.id
}
function WA_loadScript(url,callback,params)
{
var e=document.createElement("script");
e.src=url;
e.type="text/javascript";
e.onerror=function(){callback(params,false);}
if(/msie/i.test(navigator.userAgent)&&!/opera/i.test(navigator.userAgent)){
e.onreadystatechange=function(){
if((this.readyState=='complete')||(this.readyState=='loaded')){
callback(params,true);
}
}
}else
{
e.onload=function(){
if(/opera/i.test(navigator.userAgent))
wa_timeout(callback,0,params,true);
else
callback(params,true);
}
}
document.getElementsByTagName("head")[0].appendChild(e);
}
function WA_blog_declare(HFtMp,wCqhQ,feKOp)
{
if(!document.wa_global_blogs_elements)document.wa_global_blogs_elements=new Array()
if(!document.wa_global_blogs_buttons)document.wa_global_blogs_buttons=new Array()
if(!document.wa_global_blogs_elements[wCqhQ])document.wa_global_blogs_elements[wCqhQ]=new Array()
document.wa_global_blogs_elements[wCqhQ].id_blog=HFtMp
document.wa_global_blogs_elements[wCqhQ].has_email=feKOp
}
function WA_addSearchHandler(FZEHr)
{
return WA_addHandler(FZEHr,"keypress",ZCXNw)
}
function ZCXNw(FZEHr,GFKWn)
{
var RwtDp=GFKWn[0]
if(RwtDp==13)
{
var ZPgWD=FZEHr+"-search-input";
WA_onSearch(ZPgWD)
return false;
}
return true;
}
function WA_declareSearchIndex(IIxJW,rNCmt)
{
document.const_wa_search_js=IIxJW
document.const_wa_search_index_js=rNCmt
}
function WA_onSearch(ZPgWD)
{
var Fulhf=document.getElementById(ZPgWD);
if(document.wa_search_js_loaded==true)
{
WA_openSearchDialog(Fulhf,document.const_wa_search_index_js)
}
else
{
WA_Dialog.progress();
niMcb(Fulhf)
}
}
function leaue(GFKWn)
{
document.wa_search_js_loaded=true
WA_openSearchDialog(GFKWn[0],document.const_wa_search_index_js)
}
function niMcb(Fulhf_field)
{
WA_loadScript(document.const_wa_search_js,leaue,[Fulhf_field])
}
function lIiQE(offset){
var endstr=document.cookie.indexOf(";",offset);
if(endstr==-1)
endstr=document.cookie.length;
return unescape(document.cookie.substring(offset,endstr));
}
function WA_GetCookie(name)
{
var arg=name+"=";
var alen=arg.length;
var clen=document.cookie.length;
var i=0;
while(i<clen)
{
var j=i+alen;
if(document.cookie.substring(i,j)==arg)
return lIiQE(j);
i=document.cookie.indexOf(" ",i)+1;
if(i==0) break;
}
return "";
}
function WA_SetCookie(name,value){
var argv=WA_SetCookie.arguments;
var argc=WA_SetCookie.arguments.length;
var expires=(argc>2)?argv[2]:null;
var path=(argc>3)?argv[3]:null;
var domain=(argc>4)?argv[4]:null;
var secure=(argc>5)?argv[5]:false;
document.cookie=name+"="+escape(value)+((expires==null)?"":("; expires="+expires.toGMTString()))+((path==null)?"":("; path="+path))+((domain==null)?"":("; domain="+domain))+((secure==true)?"; secure":"");
}
function WA_bg_menu(FZEHr)
{
var uXQFJ=document.wa_global_menu_declaration[FZEHr]
WA_bg(FZEHr,uXQFJ.root_lx,uXQFJ.root_ly,uXQFJ.root_corner,uXQFJ.root_border,uXQFJ.root_col_border,[uXQFJ.root_bg],false,0)
var cbhYv=document.getElementById(uXQFJ.id)
if(!cbhYv)return;
var c=cbhYv.getContext('2d');
c.lineWidth=1
c.strokeStyle=uXQFJ.root_col_separator
var KQhDc=0.5;

var BkUCG=uXQFJ.root_sizes.length
if(uXQFJ.root_extend==false)
{
BkUCG--;
}
var ooUls=3;
for(var i=0;i<BkUCG;i++)
{
var dwKlO=uXQFJ.root_sizes[i] 

c.beginPath();
if(uXQFJ.root_vertical==false)
{
KQhDc+=(dwKlO-1)
c.moveTo(KQhDc,ooUls)
c.lineTo(KQhDc,uXQFJ.root_ly-ooUls)
}
else
{
KQhDc+=(dwKlO)
c.moveTo(ooUls,KQhDc-1,0)
c.lineTo(uXQFJ.root_lx-ooUls,KQhDc-1)
}
c.closePath();
c.stroke()
}
}
function WA_declare_menu(FZEHr,uXQFJ)
{
if(!document.wa_global_menu_declaration)document.wa_global_menu_declaration=new Array();
uXQFJ.id=FZEHr
document.wa_global_menu_declaration[FZEHr]=uXQFJ
WA_bg_menu(FZEHr)
}
function WA_declareMarket(FZEHr,FUTcF_market,FZEHr_modif)
{
if(typeof(wa_global_market.markets[FZEHr])=="undefined")
{
var o=new Array();
o.src_folder=FUTcF_market
o.id_modif=FZEHr_modif 

o.id=FZEHr
wa_global_market.markets[FZEHr]=o;
}
}
function WA_button_market_declare(FZEHr,LGsEh)
{
if(!document.wa_global_button_market_declaration)document.wa_global_button_market_declaration=new Array();
document.wa_global_button_market_declaration[FZEHr]=LGsEh
}
function dqvKP(c,img,OsUKe,TVBSQ,EOOVv,mEAgd,xVTLH,YOcWX,lUVlr)
{
c.globalAlpha=YOcWX
if(lUVlr) c.clearRect(0,0,EOOVv,mEAgd) 
if(YOcWX==0)return;
if(xVTLH)
{
c.drawImage(img,xVTLH.x,xVTLH.y,xVTLH.width,xVTLH.height,OsUKe,TVBSQ,EOOVv,mEAgd)
}
else
{
c.drawImage(img,OsUKe,TVBSQ,EOOVv,mEAgd)
}
}
function WA_drawImage(id,rMRao,OsUKe,TVBSQ,EOOVv,mEAgd,xVTLH,YOcWX,lUVlr)
{
if(lUVlr==undefined)lUVlr=true;
if(YOcWX==undefined)YOcWX=1.0;
var el=document.getElementById(id)
if(!el)return
var c=el.getContext('2d');
c.shadowOffsetX=0;c.shadowOffsetY=0;c.shadowBlur=0;
if(c.old_src==rMRao)
{
dqvKP(c,c.rYFOp,OsUKe,TVBSQ,EOOVv,mEAgd,xVTLH,YOcWX,lUVlr)
return;
}
var img=new Image();
img.GuQpH=el.GuQpH
img.onload=function()
{
c.old_src=rMRao
c.rYFOp=this;
dqvKP(c,this,OsUKe,TVBSQ,EOOVv,mEAgd,xVTLH,YOcWX,lUVlr)
}
img.src=rMRao;
}

-->
